org.eclipse.emf.cdo.server.db.mapping

## Interface IListMapping2

- All Superinterfaces:
    IListMapping
  All Known Subinterfaces:
    IListMapping3

      public interface IListMapping2
      extends IListMapping

  Extension interface to `IListMapping`.
  Since:
    4.1
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRangedChunkWhere(IDBStoreAccessor accessor, CDOID cdoid, java.lang.StringBuilder builder, int fromIndex, int toIndex)`
    `void` | `addSimpleChunkWhere(IDBStoreAccessor accessor, CDOID cdoid, java.lang.StringBuilder builder, int index)`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.db.mapping.IListMapping

      `getDBTables, getFeature, objectDetached, queryXRefs, readChunks, readValues, writeValues`

- - ### Method Detail

    - #### addSimpleChunkWhere

          void addSimpleChunkWhere(IDBStoreAccessor accessor,
                                   CDOID cdoid,
                                   java.lang.StringBuilder builder,
                                   int index)

    - #### addRangedChunkWhere

          void addRangedChunkWhere(IDBStoreAccessor accessor,
                                   CDOID cdoid,
                                   java.lang.StringBuilder builder,
                                   int fromIndex,
                                   int toIndex)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html